<template>
  <q-layout view="lHh Lpr lFf">
      <q-page-container>
        <q-page class=" row">

    <div class="container">
      <div class="q-pt-md column items-center justify-center text-center">
        <div class="letras">Ministério da Agricultura, Pecuária e Abastecimento</div>
        <div class="letras">Departamento de Sanidade Vegetal e Insumos Agrícolas</div>
        <div class="letras">Organização Nacional de Proteção Fitossanitária do Brasil</div>
        <div class="letras">Plant Protection Organization of Brazil</div>
        <template>
          <q-img style="width: 180px;margin-top: 1.3rem;" src="../assets/two.jpg" />
        </template>
        <h4 class="headerOne" style="text-align: center; margin-top: 20px; margin-bottom: 20px">
          Consulta de Certificado Fitossanitário Internacional
          <br />
          <span style="font-style: italic">
            Phytosanitary Certificate Consultation
          </span>
        </h4>
        <template>
          <vs-alert solid closable v-model="active" color="danger" class="barTool">
          Número de certificado e/ou código de acesso inválido / Invalid certificate number and/or access code
        </vs-alert>
      </template>
        <div style="width: 70%;" class="text-center justify-center items-center">
          <div style="margin: 0 auto;text-align: center;" class="items-center text-center justify-center row">
            <div class="group">
              <div style="margin-right: -3px;">
              <span class="groupText" >
                Certificado Nº / Certificate Number
              </span>
            </div>
            <q-toolbar class="bg-white text-white rounded-borders borderType" style="min-height: 2.22rem;max-width: 20rem;">
               <q-input color="blue" dense borderless v-model="number" mask="#########/##" />
            </q-toolbar>
          </div>
          </div>
          <div style="margin: 0 auto;text-align: center;" class="q-pt-sm items-center text-center justify-center row">
            <div class="group">
              <div style="min-height: 50%;margin-right: -3px;">
              <span class="groupText" >
                Código de Acesso / Access Code
              </span>
            </div>
            <q-toolbar class="bg-white text-white rounded-borders borderType" style="min-height: 2.22rem; max-width: 20rem;">
               <q-input color="blue" dense borderless v-model="code" mask="XXXXXXXXXXXXXXXXXXXXXXXXXX"/>
            </q-toolbar>
          </div>
          </div>
        </div>
        <div class="text-center justify-center">
          <vs-button @click="send()" flat class="q-pt-lg text-white" style="border-radius: 4px; background-color: rgb(0, 123, 255, 1) !important;font-size: 11pt;margin-top: 1em;">Consultar / Consult</vs-button>
        </div>
        <div class="q-pt-md text-center justify-center">
          <p class="small">
            <img src="https://sistemas.agricultura.gov.br/qrcodefito/assets/images/bandeira_brasil.png" alt="Portugues" class="img-fluid"/>
            Para verificar digite o número do certificado fitossanitário e o código de acesso.
          </p>
          <p class="small">
            <img src="https://sistemas.agricultura.gov.br/qrcodefito/assets/images/bandeira_uk.png" alt="Portugues" class="img-fluid"/>
            To verify, enter the phytosanitary certificate number and the access code.
          </p>
        </div>
      </div>
    </div>
        </q-page>
      </q-page-container>
  </q-layout>

</template>
<script>
import { mapMutations } from 'vuex'
export default {
  data: () => ({
    number: null,
    code: null,
    active: false
  }),
  mounted () {
    if (!this.$route.params.number) {
      this.number = null
      this.code = null
    } else {
      this.number = this.$route.params.number.replace('-', '/')
      this.code = this.$route.params.code
    }
  },
  methods: {
    ...mapMutations('generals', ['info']),
    send () {
      this.$q.loading.show()
      const form = {
        number: this.number,
        code: this.code
      }
      if ((form.code) && (form.number)) {
        this.$q.loading.hide()
        this.$api.post('userCode', form).then(res => {
          this.info(res)
          this.$router.push('/qrcodefito/consulta/validar')
        })
      } else {
        this.code = null
        this.number = null
        this.$q.loading.hide()
        this.active = true
      }
    }
  }
}
</script>
<style scoped>
.letras {
  font-size: 11pt;
}

.container {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

.headerOne {
  font-size: 1.5rem;
  text-align: center;
}

h4 {
  font-size: 2.125rem;
  font-weight: 500;
  line-height: 1.2;
  color: inherit;
}

.ColorType {
  background-color: #e9ecef;
  margin-left: -1rem;
  margin-top: -0.13rem;
  margin-bottom: -0.12rem;
}

.group {
  display: flex;
}

.group>.groupText {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.groupText {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  padding: .375rem .75rem;
  margin-bottom: 0;
  font-size: 0.92rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  text-align: center;
  white-space: nowrap;
  background-color: #e9ecef;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  min-width: 17rem;
}
.borderType {
  min-height: 0.rem;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  border-color: #aab1b7;
  border-style: solid;
  border-width: 1px;
  height: 0px;
  color: #000;
  min-width: 6rem;
}

.group>.formControl {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.img-fluid {
  max-width: 100%;
  height: auto;
}

.small {
  font-size: 80%;
  font-weight: 400;
}
p {
  margin-top: 0;
  margin-bottom: 1rem;
}
img {
    vertical-align: middle;
    border-style: none;
}

.barTool {
  height: 5rem;
  width: 70%;
  text-align: left;
  font-size: 0.9rem;
  background-color: #f8d7da;
  color: #b75a24;
  margin-bottom: 2rem;
  border-radius: 0.6rem;
}
</style>
